Macaulay2 » Documentation
Packages » Normaliz :: setNmzOption
next | previous | forward | backward | up | index | toc

# setNmzOption -- sets a command line option for Normaliz

- Usage:
    `setNmzOption(s,b)`
- Inputs:
  - a string, name of the option
  - a Boolean value, true switches the option on, false off

## Description

The Normaliz options are accessible via the following names:
Computation mode:

- -s: supp, only the support hyperplanes are computed.
- -tT: triang, computes the support hyperplanes, the triangulation and the multiplicity.
- -v: volume, computes the support hyperplanes and the multiplicity.
- -p: hvect, computes the support hyperplanes, the multiplicity, the h-vector and the Hilbert polynomial.
- -n: normal, computes the support hyperplanes, the triangulation, the multiplicity and the Hilbert basis.
- -N: normal_l, computes the support hyperplanes and the Hilbert basis.
- -h: hilb, computes the support hyperplanes, the multiplicity, the Hilbert basis, the h-vector and the Hilbert polynomial.
- -1: heigth1, computes the Hilbert basis elements of height 1.
- -d: dual, computes the Hilbert basis using Pottier's algorithm, cf. L. Pottier, The Euclide algorithm in dimension n. Research report, ISSAC 96, ACM Press 1996.

The options with _l indicate that they are in particular useful for big examples.Further options:

- -c: control, gives you some access to 'control' data during the computation. When switched on, data will be printed on the screen.
- -a: allf, all files are written
- -e: errorcheck, when switched on the arithmetic tests will be performed, in order to assure that no arithmetic errors do occur. This may slow down the computations. This option is ignored if bigint is activated, since in this case no arithmetic errors can occur.
- -B: bigint, use indefinite precision arithmetic
- -x=<N>: threads, there <N> stands for a positive integer limiting the number of threads that Normaliz can access on your system. The default value is <N>=\infty. If you want to run Normaliz in a strictly serial mode, choose <N>=1. If this option is enabled,<N> is taken as the value stored in the global variable nmzNumberThreads.

Note that it makes no sense to activate more than one of the computation mode options. The -f option, which makes the .gen, .inv, .cst files to be printed, is always set. The default value of all options is false.

To check which options are set use showNmzOptions.

    i1 : setNmzOption("triang",true);

    i2 : showNmzOptions()
    The following options are set:
     -f -tT
    o2 = stdio

    o2 : File

## See also

- showNmzOptions -- prints the enabled options

## Ways to use setNmzOption:

- `setNmzOption(String,Boolean)`

## For the programmer

The object setNmzOption is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Normaliz.m2:1419:0.